---
title: WebGLRenderingContext.bindTexture()
slug: Web/API/WebGLRenderingContext/bindTexture
tags:
  - API
  - Method
  - Reference
  - Textures
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.bindTexture()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> binds a given {{domxref("WebGLTexture")}} to a target (binding point).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.bindTexture(<var>target</var>, <var>texture</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>target</dt>
 <dd>A {{domxref("GLenum")}} specifying the binding point (target). Possible values:
 <ul>
  <li><code>gl.TEXTURE_2D</code>: A two-dimensional texture.</li>
  <li><code>gl.TEXTURE_CUBE_MAP</code>: A cube-mapped texture.</li>
  <li>When using a {{domxref("WebGL2RenderingContext", "WebGL 2 context", "", 1)}}, the following values are available additionally:
   <ul>
    <li><code>gl.TEXTURE_3D</code>: A three-dimensional texture.</li>
    <li><code>gl.TEXTURE_2D_ARRAY</code>: A two-dimensional array texture.</li>
   </ul>
  </li>
 </ul>
 </dd>
 <dt>texture</dt>
 <dd>A {{domxref("WebGLTexture")}} object to bind.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>A <code>gl.INVALID_ENUM</code> error is thrown if <code>target</code> is not <code>gl.TEXTURE_2D</code>, <code>gl.TEXTURE_CUBE_MAP</code>, <code>gl.TEXTURE_3D</code>, or <code>gl.TEXTURE_2D_ARRAY</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Binding_a_texture">Binding a texture</h3>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
var texture = gl.createTexture();

gl.bindTexture(gl.TEXTURE_2D, texture);
</pre>

<h3 id="Getting_current_bindings">Getting current bindings</h3>

<p>To check the current texture binding, query the <code>gl.TEXTURE_BINDING_2D</code> or <code>gl.TEXTURE_BINDING_CUBE_MAP</code> constants.</p>

<pre class="brush: js">gl.getParameter(gl.TEXTURE_BINDING_2D);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.8", "bindTexture")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glBindTexture.xml", "glBindTexture")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the (similar) OpenGL ES 2.0 API.</td>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.1", "bindTexture")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Updated definition for WebGL 2.<br>
    Adds: <code>gl.TEXTURE_3D</code> and <code>gl.TEXTURE_2D_ARRAY</code></td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glBindTexture.xhtml", "glBindTexture")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL ES 3.0 API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.bindTexture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
</ul>

<ul>
 <li>{{domxref("WebGLRenderingContext.createTexture()")}}</li>
 <li>{{domxref("WebGLRenderingContext.deleteTexture()")}}</li>
 <li>{{domxref("WebGLRenderingContext.isTexture()")}}</li>
 <li>{{domxref("WebGLRenderingContext.texImage2D()")}}</li>
</ul>
